from peewee import *

# 假设 db 已经在其他地方定义并连接到数据库
from models import db

class TgTomo(Model):
    id = IntegerField(primary_key=True)  # 整型主键，自增
    tg_id = IntegerField(null=True)  # Telegram ID，整型，可为空
    phone = CharField(max_length=255, null=True)  # 电话号码，最大长度 255，可为空
    url = CharField(max_length=255, null=True)  # URL，最大长度 255，可为空
    fraction = CharField(max_length=255, null=True)  # 分数，最大长度 255，可为空
    user_data = CharField(max_length=255, null=True)  # 分数，最大长度 255，可为空
    num = IntegerField(null=True)  # Telegram ID，整型，可为空
    task_num = IntegerField(null=True)  # Telegram ID，整型，可为空

    class Meta:
        database = db  # 所属数据库
        table_name = 'tg_tomo'  # 表名